Package: org.codehaus.groovy.ast.decompiled

## [Java] Class AsmDecompiler

- org.codehaus.groovy.ast.decompiled.AsmDecompiler

-     public abstract class AsmDecompiler
      extends Object

  A utility class responsible for decompiling JVM class files and producing ClassStub objects reflecting their structure.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ClassStub` | `parseClass(URL url)` Loads the URL contents and parses them with ASM, producing a ClassStub object representing the structure of the corresponding class file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static ClassStub parseClass(URL url)

      Loads the URL contents and parses them with ASM, producing a ClassStub object representing the structure of the corresponding class file. Stubs are cached and reused if queried several times with equal URLs.

      throws:
        IOException if reading from this URL is impossible
      Parameters:
        `url` - a URL from a class loader, most likely a file system file or a JAR entry.
      Returns:
        the class stub